package jp.agentec.abook.abv.bl.data.tables;

import java.util.ArrayList;
import java.util.List;

import jp.agentec.abook.abv.bl.common.db.SQLiteDatabase;
import jp.agentec.abook.abv.bl.data.DatabaseVersions;

public class MPasswordLockInfo extends SQLiteTableScript {
	
	public MPasswordLockInfo() {
		super();
	}
	
	@Override
	public List<String> getCreateScript(int version) {
		List<String> ddl = new ArrayList<String>();
		StringBuffer sql = new StringBuffer();
		
		//	since 1.5.0
		sql.append(" CREATE TABLE m_password_lock_info ( ");
		sql.append("        id INTEGER NOT NULL ");
		sql.append("      , invalid_password_count SMALLINT DEFAULT 0 ");
		sql.append("      , password_lock_date DATETIME ");
		sql.append("      , PRIMARY KEY (id) ");
		sql.append(" ) ");
		
		ddl.add(sql.toString());
		
		return ddl;
	}

	@Override
	public List<String> getUpgradeScript(int oldVersion, int newVersion) {
		return null;
	}

	@Override
	public List<String> getMigrationScript(SQLiteDatabase databaseConnection, int oldVersion, int newVersion, Object... params) {
		return null;
	}

}
